summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--tools/valgrind/test_suppressions.py6
-rwxr-xr-xtools/valgrind/waterfall.sh4
2 files changed, 3 insertions, 7 deletions
diff --git a/tools/valgrind/test_suppressions.py b/tools/valgrind/test_suppressions.py
index a0f64bf..46bf68e 100644
--- a/tools/valgrind/test_suppressions.py
+++ b/tools/valgrind/test_suppressions.py
@@ -42,11 +42,7 @@ def ReadReportsFromFile(filename):
in_suppression = True
cur_supp = ["{"]
elif line.find("Suppression (error hash=#") == 0:
- last_hash = line[25:33]
- # Work around an (fixed) bug in memcheck_analyze.py.
- # TODO(jochen): delete this after a couple of days.
- if last_hash[0] == '-':
- last_hash = line[26:34]
+ last_hash = line[25:41]
# The line at the end of the file is assumed to store the URL of the report.
return reports,line
diff --git a/tools/valgrind/waterfall.sh b/tools/valgrind/waterfall.sh
index 826cbb5..2145502 100755
--- a/tools/valgrind/waterfall.sh
+++ b/tools/valgrind/waterfall.sh
@@ -124,9 +124,9 @@ find_blame() {
fi
HASH="#$3#"
- if ! echo "$3" | grep -q -e '^[0-9A-F]\{8\}$'
+ if ! echo "$3" | grep -q -e '^[0-9A-F]\{16\}$'
then
- echo "The hash '$3' looks strange, it should match ^[0-9A-F]{8}$"
+ echo "The hash '$3' looks strange, it should match ^[0-9A-F]{16}$"
exit 1
fi